org.apache.hc.client5.http.impl.auth

## Class ScramSchemeFactory

- java.lang.Object
- - org.apache.hc.client5.http.impl.auth.ScramSchemeFactory

All Implemented Interfaces:
  AuthSchemeFactory

    @Experimental
    public final class ScramSchemeFactory
    extends Object
    implements AuthSchemeFactory

Factory for creating instances of `ScramScheme`.

Since:
  5.6

### Field Summary

Fields
`static ScramSchemeFactory` `INSTANCE` Singleton instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`AuthScheme` `create(HttpContext context)` Creates a new `ScramScheme`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final ScramSchemeFactory INSTANCE

Singleton instance.

### Method Detail

#### create

    public AuthScheme create(HttpContext context)

Creates a new `ScramScheme`.

Specified by:
  `create` in interface `AuthSchemeFactory`
Parameters:
  `context` - the HTTP context (unused)
Returns:
  a new `ScramScheme` instance
Since:
  5.6